BitMagic-C++: Data Fields

BitMagic-C++

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - b -

- b_ : bm::bit_block_t
- back_insert_iterator() : bm::rsc_sparse_vector< Val, SV >::back_insert_iterator , bm::sparse_vector< Val, BV > , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator
- balance() : dbg_block_allocator , dbg_ptr_allocator
- base_sparse_vector() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- basic_bmatrix() : bm::basic_bmatrix< BV >
- bcnt : bm::bit_decode_cache
- bdescr_ : bm::bvector< Alloc >::iterator_base
- begin() : bm::bit_block_t , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- best_rep : bm::tmatrix< T, ROWS, COLS >::rstat
- bfind_eq_str() : bm::sparse_vector_scanner< SV >
- bic_decode_u16() : bm::bit_in< TDecoder >
- bic_decode_u16_bitset() : bm::bit_in< TDecoder >
- bic_decode_u16_cm() : bm::bit_in< TDecoder >
- bic_decode_u16_cm_bitset() : bm::bit_in< TDecoder >
- bic_decode_u16_cm_dry() : bm::bit_in< TDecoder >
- bic_decode_u16_dry() : bm::bit_in< TDecoder >
- bic_decode_u16_rg() : bm::bit_in< TDecoder >
- bic_decode_u16_rg_bitset() : bm::bit_in< TDecoder >
- bic_decode_u16_rg_dry() : bm::bit_in< TDecoder >
- bic_decode_u32_cm() : bm::bit_in< TDecoder >
- bic_encode_u16() : bm::bit_out< TEncoder >
- bic_encode_u16_cm() : bm::bit_out< TEncoder >
- bic_encode_u16_rg() : bm::bit_out< TEncoder >
- bic_encode_u32_cm() : bm::bit_out< TEncoder >
- bienc_arr_bit_block() : bm::serializer< BV >
- bienc_gap_bit_block() : bm::serializer< BV >
- bind() : bm::sparse_vector_scanner< SV >
- bit_ : bm::bvector< Alloc >::iterator_base::block_descr
- bit_and() : bm::bvector< Alloc >
- bit_blocks : bm::bv_statistics
- bit_count() : bm::bvector_mini< A > , bm::tmatrix< T, ROWS, COLS >::rstat
- bit_decode_cache() : bm::bit_decode_cache
- bit_func_table_ : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- bit_idx_arr_ : bm::deserializer< BV, DEC >
- bit_in() : bm::bit_in< TDecoder >
- bit_in_type : bm::deseriaizer_base< DEC, BLOCK_IDX >
- bit_op_count_table_ : bm::operation_functions< T >
- bit_operation_count() : bm::operation_functions< T >
- bit_or() : bm::bvector< Alloc >
- bit_out() : bm::bit_out< TEncoder >
- bit_plains : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- bit_sub() : bm::bvector< Alloc >
- bit_visitor_callback_type : bm::bit_vitor_callback_adaptor< VCBT, size_type >
- bit_vistor_copy_functor() : bm::bit_vistor_copy_functor< BV >
- bit_vitor_callback_adaptor() : bm::bit_vitor_callback_adaptor< VCBT, size_type >
- bit_xor() : bm::bvector< Alloc >
- bitblock_get_adapter() : bm::bitblock_get_adapter
- bitblock_store_adapter() : bm::bitblock_store_adapter
- bitblock_sum_adapter() : bm::bitblock_sum_adapter
- bits : bm::bit_decode_cache , bm::bvector< Alloc >::iterator_base::bitblock_descr
- blk : bm::ptr_payload_t
- block_ : bm::bvector< Alloc >::iterator_base
- block_alloc_ : bm::alloc_pool< BA, PA >
- block_allocator_type : bm::alloc_pool< BA, PA > , bm::mem_alloc< BA, PA, APool >
- block_arridx_type : bm::deserializer< BV, DEC >
- block_idx() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- block_idx_ : bm::bvector< Alloc >::iterator_base , bm::serial_stream_iterator< DEC, BLOCK_IDX >
- block_idx_arr_ : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- block_idx_type : bm::aggregator< BV > , bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::basic_bmatrix< BV > , bm::bvector< Alloc > , bm::deseriaizer_base< DEC, BLOCK_IDX > , bm::deserializer< BV, DEC > , bm::interval_enumerator< BV > , bm::serial_stream_iterator< DEC, BLOCK_IDX > , bm::serializer< BV > , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator
- block_pool_ : bm::alloc_pool< BA, PA >
- block_type() : bm::all_set< T >
- block_type_ : bm::bvector< Alloc >::iterator_base , bm::serial_stream_iterator< DEC, BLOCK_IDX >
- blocks_count : bm::bvector< Alloc >
- blocks_manager_type : bm::aggregator< BV > , bm::bvector< Alloc > , bm::deserializer< BV, DEC > , bm::serializer< BV >
- BM_NOT_DEFINED : bm::aggregator< BV >
- BM_SHIFT_R_AND : bm::aggregator< BV >
- bm_type_ : bm::serializer< BV >::bookmark_state
- BM_VECT_ALIGN_ATTR : bm::all_set< T >::all_set_block , bm::bit_block_t::bunion_t , bm::set2set_11_transform< SV >::gather_buffer< BSIZE > , bm::tmatrix< T, ROWS, COLS >
- bmatr_ : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- bmatrix_type : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- bo() : bm::globals< T >::bo
- bookmark_idx_ : bm::deseriaizer_base< DEC, BLOCK_IDX >
- bookmark_state() : bm::serializer< BV >::bookmark_state
- buf() : bm::sparse_vector_serial_layout< SV >
- buf_ : bm::bvector< Alloc >::bulk_insert_iterator , bm::decoder_base , bm::sparse_vector_serial_layout< SV >
- buf_size_ : bm::bvector< Alloc >::bulk_insert_iterator
- buf_size_max() : bm::bvector< Alloc >::bulk_insert_iterator
- buffer : bm::serializer< BV >
- buffer_cap : bm::rank_compressor< BV >
- buffer_matrix_type : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- buffer_type : bm::compressed_buffer_collection< BV > , bm::compressed_collection_deserializer< CBC > , bm::compressed_collection_serializer< CBC > , bm::interval_enumerator< BV > , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::sparse_vector_serial_layout< SV > , bvs_index , vect_index
- build() : bm::bv_ref_vector< BV >
- Build() : DNA_FingerprintScanner
- build_octet_remap() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- build_rs_index() : bm::bvector< Alloc >
- build_xor_ref_vector() : bm::sparse_vector_serializer< SV >
- BuildBulk() : DNA_FingerprintScanner
- BuildParallel() : DNA_FingerprintScanner
- bulk_insert_iterator() : bm::bvector< Alloc >::bulk_insert_iterator , bm::bvector< Alloc >::insert_iterator
- bv_ : bm::bit_vistor_copy_functor< BV > , bm::bvector< Alloc >::iterator_base
- bv_allocator_type : bm::bv_ref_vector< BV > , bm::interval_enumerator< BV >
- bv_count : bm::bv_statistics
- bv_plain_vector_type : bm::bv_ref_vector< BV >
- bv_product_ : bm::set2set_11_transform< SV >
- bv_ref_ : bm::sparse_vector_deserializer< SV > , bm::sparse_vector_serializer< SV >
- bv_ref_vector_type : bm::deserializer< BV, DEC > , bm::operation_deserializer< BV > , bm::serializer< BV > , bm::sparse_vector_deserializer< SV > , bm::sparse_vector_serializer< SV > , bm::xor_scanner< BV >
- bv_rows_ : bm::basic_bmatrix< BV >
- bv_size() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- bv_size_ : bm::basic_bmatrix< BV > , bm::serial_stream_iterator< DEC, BLOCK_IDX >
- bv_zero_ : bm::set2set_11_transform< SV >
- bvect_ : bm::bvector< Alloc >::bulk_insert_iterator , bm::bvector< Alloc >::insert_iterator
- bvector() : bm::bvector< Alloc > , bm::bvector< Alloc >::iterator_base
- bvector_enumerator_type : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- bvector_mini() : bm::bvector_mini< A >
- bvector_type : bm::aggregator< BV > , bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::basic_bmatrix< BV > , bm::bv_ref_vector< BV > , bm::bvector< Alloc >::bulk_insert_iterator , bm::bvector< Alloc >::insert_iterator , bm::bvps_addr_resolver< BV > , bm::compressed_buffer_collection< BV > , bm::compressed_collection< Value, BV > , bm::compressed_collection_deserializer< CBC > , bm::compressed_collection_serializer< CBC > , bm::deserializer< BV, DEC > , bm::interval_enumerator< BV > , bm::iterator_deserializer< BV, SerialIterator > , bm::operation_deserializer< BV > , bm::random_subset< BV > , bm::rank_compressor< BV > , bm::rsc_sparse_vector< Val, SV >::back_insert_iterator , bm::rsc_sparse_vector< Val, SV > , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::serializer< BV > , bm::set2set_11_transform< SV > , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::sparse_vector< Val, BV > , bm::sparse_vector< Val, BV >::const_iterator , bm::sparse_vector_deserializer< SV > , bm::sparse_vector_scanner< SV > , bm::sparse_vector_serial_layout< SV > , bm::sparse_vector_serializer< SV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator , bm::sv_addr_resolver< SV > , bm::xor_scanner< BV >
- bvector_type_const_ptr : bm::aggregator< BV > , bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::basic_bmatrix< BV > , bm::bv_ref_vector< BV > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::sparse_vector_deserializer< SV > , bm::sparse_vector_scanner< SV > , bm::sparse_vector_serializer< SV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- bvector_type_ptr : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::basic_bmatrix< BV > , bm::bv_ref_vector< BV > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::sparse_vector_deserializer< SV > , bm::sparse_vector_scanner< SV > , bm::sparse_vector_serializer< SV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- bvmini() : bm::bvmini< N >
- bvps_addr_resolver() : bm::bvps_addr_resolver< BV >
- bvptr_vector_type : bm::bv_ref_vector< BV >
- bvs_ : bm::sparse_vector_serializer< SV >
- byte_order() : bm::globals< T >
- byte_order_serialization() : bm::serializer< BV >